> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://documentation.sayari.com/api/api-reference/project-entity-attributes/update-project-entity-attribute/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://documentation.sayari.com/_mcp/server. # Update Project Entity Attribute PUT https://api.sayari.com/v1/projects/{project_id}/entities/{project_entity_id}/attributes/{attribute_id} Content-Type: application/json Updates a specific attribute for a project entity. Reference: https://documentation.sayari.com/api/api-reference/project-entity-attributes/update-project-entity-attribute ## Authentication - OAuth2 — send the obtained token as `Authorization: Bearer ` ## Servers - `https://api.sayari.com` (Production, default) - `https://api.internal.sayari.com` (Dev) - `https://api.uk.sayari.com` (Production_UK) ## Request ### Path parameters - `project_id` (string, required) - `project_entity_id` (string, required) - `attribute_id` (string, required) ### Body (application/json) This endpoint expects an UpdateProjectEntityAttributeRequest. - `field` (string, required) - `value` (string, required) - `match_resolution` (boolean, required) ## Response ### 200 - `data` (UpdateProjectEntityAttributeResponseData, required) ## Errors ### 400 Bad Request - `any` ### 401 Unauthorized - `any` ### 404 Not Found - `status` (integer, required) - `message` (list of string, required) - `success` (boolean, required) ### 405 Method Not Allowed - `status` (integer, required) - `message` (list of string, required) - `success` (boolean, required) ### 429 Rate Limit Exceeded - `any` ### 500 Internal Server Error - `any` ## Types ### UpdateProjectEntityAttributeResponseData - `id` (string, required) - `field` (string, required) - `value` (string, required) - `match_resolution` (boolean, required) ## Examples **Request** ```json { "field": "name", "value": "updated name", "match_resolution": true } ``` **Response** ```json { "data": { "id": "xG8wYP", "field": "name", "value": "updated name", "match_resolution": true } } ``` **SDK Code** ```python import requests url = "https://api.sayari.com/v1/projects/V03eYM/entities/BG72YW/attributes/xG8wYP" payload = { "field": "name", "value": "updated name", "match_resolution": True } headers = { "Authorization": ".", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.sayari.com/v1/projects/V03eYM/entities/BG72YW/attributes/xG8wYP'; const options = { method: 'PUT', headers: {Authorization: '.', 'Content-Type': 'application/json'}, body: '{"field":"name","value":"updated name","match_resolution":true}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.sayari.com/v1/projects/V03eYM/entities/BG72YW/attributes/xG8wYP" payload := strings.NewReader("{\n \"field\": \"name\",\n \"value\": \"updated name\",\n \"match_resolution\": true\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", ".") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.sayari.com/v1/projects/V03eYM/entities/BG72YW/attributes/xG8wYP") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = '.' request["Content-Type"] = 'application/json' request.body = "{\n \"field\": \"name\",\n \"value\": \"updated name\",\n \"match_resolution\": true\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://api.sayari.com/v1/projects/V03eYM/entities/BG72YW/attributes/xG8wYP") .header("Authorization", ".") .header("Content-Type", "application/json") .body("{\n \"field\": \"name\",\n \"value\": \"updated name\",\n \"match_resolution\": true\n}") .asString(); ``` ```php request('PUT', 'https://api.sayari.com/v1/projects/V03eYM/entities/BG72YW/attributes/xG8wYP', [ 'body' => '{ "field": "name", "value": "updated name", "match_resolution": true }', 'headers' => [ 'Authorization' => '.', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.sayari.com/v1/projects/V03eYM/entities/BG72YW/attributes/xG8wYP"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", "."); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"field\": \"name\",\n \"value\": \"updated name\",\n \"match_resolution\": true\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": ".", "Content-Type": "application/json" ] let parameters = [ "field": "name", "value": "updated name", "match_resolution": true ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.sayari.com/v1/projects/V03eYM/entities/BG72YW/attributes/xG8wYP")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```